function [format,nlabels]=print_title(Res,DateNum,nbruns,varargin)
  %
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('fprintf',@(varargin) fprintf(varargin{:}));
  p.parse(varargin{:});
  Fprintf=p.Results.fprintf;
  Fprintf('#date:%s\n',datestr(DateNum,'yyyy/mm/dd HH:MM:SS'));
  Fprintf('#nbruns:%d\n',nbruns);
  n=length(Res);
  format='#format:';nf=length(format);
  numpy='#numpy:';nn=length(numpy);
  labels='#labels:';nl=length(labels);
  Res{1}.strlen=Res{1}.strlen+length(labels)-1;
  
  for i=1:n
    fs=Res{i}.sformat;
    fs=[repmat(' ',1,Res{i}.strlen-length(fs)-nf),fs];nf=0;
    format=[format,fs];
    fs=Res{i}.name;
    fs=[repmat(' ',1,Res{i}.strlen-length(fs)-nl),fs];nl=0;
    labels=[labels,fs];
    nlabels(i)=length(labels);
    fs=Res{i}.numpy;
    fs=[repmat(' ',1,Res{i}.strlen-length(fs)-nn),fs];nn=0;
    numpy=[numpy,fs];
    %end
  end
  Fprintf('%s\n',numpy);
  Fprintf('%s\n',format);
  Fprintf('%s\n',labels);
  F=strsplit(format,':');
  assert(length(F)==2)
  format=[repmat(' ',1,length(F{1})+1),F{2},'\n'];
  
end
