function p=AddRequired(p,varargin)
% FUNCTION p=fc_tools.comp.AddRequired(p,varargin)
%   Alternative function for addRequired - Suitable for Matlab and any 
%   Octave version.
%   Adds a required argument to the input scheme.
%
% Input and output parameter:
% p : inputParser object
%
% Copyright (C) 2016-2020 F. Cuvelier
  if isOldParser()
    p=p.addRequired(varargin{:});
  else
    p.addRequired(varargin{:});
  end
end
